Package org.kapott.hbci.sepa.jaxb.pain_008_002_01

## Class PaymentInstructionInformationSDD

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.pain_008_002_01.PaymentInstructionInformationSDD

    public class PaymentInstructionInformationSDD
    extends java.lang.Object

Java class for PaymentInstructionInformationSDD complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="PaymentInstructionInformationSDD">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="PmtInfId" type="{urn:swift:xsd:$pain.008.002.01}RestrictedIdentification1" minOccurs="0"/>
             <element name="PmtMtd" type="{urn:swift:xsd:$pain.008.002.01}PaymentMethod2Code"/>
             <element name="PmtTpInf" type="{urn:swift:xsd:$pain.008.002.01}PaymentTypeInformationSDD"/>
             <element name="ReqdColltnDt" type="{urn:swift:xsd:$pain.008.002.01}ISODate"/>
             <element name="Cdtr" type="{urn:swift:xsd:$pain.008.002.01}PartyIdentificationSDD2"/>
             <element name="CdtrAcct" type="{urn:swift:xsd:$pain.008.002.01}CashAccountSDD1"/>
             <element name="CdtrAgt" type="{urn:swift:xsd:$pain.008.002.01}BranchAndFinancialInstitutionIdentificationSDD1"/>
             <element name="UltmtCdtr" type="{urn:swift:xsd:$pain.008.002.01}PartyIdentificationSDD1" minOccurs="0"/>
             <element name="ChrgBr" type="{urn:swift:xsd:$pain.008.002.01}ChargeBearerTypeSDDCode" minOccurs="0"/>
             <element name="DrctDbtTxInf" type="{urn:swift:xsd:$pain.008.002.01}DirectDebitTransactionInformationSDD" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected PartyIdentificationSDD2` `cdtr`
`protected CashAccountSDD1` `cdtrAcct`
`protected BranchAndFinancialInstitutionIdentificationSDD1` `cdtrAgt`
`protected ChargeBearerTypeSDDCode` `chrgBr`
`protected java.util.List<DirectDebitTransactionInformationSDD>` `drctDbtTxInf`
`protected java.lang.String` `pmtInfId`
`protected PaymentMethod2Code` `pmtMtd`
`protected PaymentTypeInformationSDD` `pmtTpInf`
`protected javax.xml.datatype.XMLGregorianCalendar` `reqdColltnDt`
`protected PartyIdentificationSDD1` `ultmtCdtr`

### Constructor Summary

Constructors
`PaymentInstructionInformationSDD()`

### Method Summary

All Methods Instance Methods Concrete Methods
`PartyIdentificationSDD2` `getCdtr()` Gets the value of the cdtr property.
`CashAccountSDD1` `getCdtrAcct()` Gets the value of the cdtrAcct property.
`BranchAndFinancialInstitutionIdentificationSDD1` `getCdtrAgt()` Gets the value of the cdtrAgt property.
`ChargeBearerTypeSDDCode` `getChrgBr()` Gets the value of the chrgBr property.
`java.util.List<DirectDebitTransactionInformationSDD>` `getDrctDbtTxInf()` Gets the value of the drctDbtTxInf property.
`java.lang.String` `getPmtInfId()` Gets the value of the pmtInfId property.
`PaymentMethod2Code` `getPmtMtd()` Gets the value of the pmtMtd property.
`PaymentTypeInformationSDD` `getPmtTpInf()` Gets the value of the pmtTpInf property.
`javax.xml.datatype.XMLGregorianCalendar` `getReqdColltnDt()` Gets the value of the reqdColltnDt property.
`PartyIdentificationSDD1` `getUltmtCdtr()` Gets the value of the ultmtCdtr property.
`void` `setCdtr​(PartyIdentificationSDD2 value)` Sets the value of the cdtr property.
`void` `setCdtrAcct​(CashAccountSDD1 value)` Sets the value of the cdtrAcct property.
`void` `setCdtrAgt​(BranchAndFinancialInstitutionIdentificationSDD1 value)` Sets the value of the cdtrAgt property.
`void` `setChrgBr​(ChargeBearerTypeSDDCode value)` Sets the value of the chrgBr property.
`void` `setPmtInfId​(java.lang.String value)` Sets the value of the pmtInfId property.
`void` `setPmtMtd​(PaymentMethod2Code value)` Sets the value of the pmtMtd property.
`void` `setPmtTpInf​(PaymentTypeInformationSDD value)` Sets the value of the pmtTpInf property.
`void` `setReqdColltnDt​(javax.xml.datatype.XMLGregorianCalendar value)` Sets the value of the reqdColltnDt property.
`void` `setUltmtCdtr​(PartyIdentificationSDD1 value)` Sets the value of the ultmtCdtr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### pmtInfId

    protected java.lang.String pmtInfId

#### pmtMtd

    protected PaymentMethod2Code pmtMtd

#### pmtTpInf

    protected PaymentTypeInformationSDD pmtTpInf

#### reqdColltnDt

    protected javax.xml.datatype.XMLGregorianCalendar reqdColltnDt

#### cdtr

    protected PartyIdentificationSDD2 cdtr

#### cdtrAcct

    protected CashAccountSDD1 cdtrAcct

#### cdtrAgt

    protected BranchAndFinancialInstitutionIdentificationSDD1 cdtrAgt

#### ultmtCdtr

    protected PartyIdentificationSDD1 ultmtCdtr

#### chrgBr

    protected ChargeBearerTypeSDDCode chrgBr

#### drctDbtTxInf

    protected java.util.List<DirectDebitTransactionInformationSDD> drctDbtTxInf

### Constructor Detail

#### PaymentInstructionInformationSDD

    public PaymentInstructionInformationSDD()

### Method Detail

#### getPmtInfId

    public java.lang.String getPmtInfId()

Gets the value of the pmtInfId property.

Returns:
  possible object is `String`

#### setPmtInfId

    public void setPmtInfId​(java.lang.String value)

Sets the value of the pmtInfId property.

Parameters:
  `value` - allowed object is `String`

#### getPmtMtd

    public PaymentMethod2Code getPmtMtd()

Gets the value of the pmtMtd property.

Returns:
  possible object is `PaymentMethod2Code`

#### setPmtMtd

    public void setPmtMtd​(PaymentMethod2Code value)

Sets the value of the pmtMtd property.

Parameters:
  `value` - allowed object is `PaymentMethod2Code`

#### getPmtTpInf

    public PaymentTypeInformationSDD getPmtTpInf()

Gets the value of the pmtTpInf property.

Returns:
  possible object is `PaymentTypeInformationSDD`

#### setPmtTpInf

    public void setPmtTpInf​(PaymentTypeInformationSDD value)

Sets the value of the pmtTpInf property.

Parameters:
  `value` - allowed object is `PaymentTypeInformationSDD`

#### getReqdColltnDt

    public javax.xml.datatype.XMLGregorianCalendar getReqdColltnDt()

Gets the value of the reqdColltnDt property.

Returns:
  possible object is `XMLGregorianCalendar`

#### setReqdColltnDt

    public void setReqdColltnDt​(javax.xml.datatype.XMLGregorianCalendar value)

Sets the value of the reqdColltnDt property.

Parameters:
  `value` - allowed object is `XMLGregorianCalendar`

#### getCdtr

    public PartyIdentificationSDD2 getCdtr()

Gets the value of the cdtr property.

Returns:
  possible object is `PartyIdentificationSDD2`

#### setCdtr

    public void setCdtr​(PartyIdentificationSDD2 value)

Sets the value of the cdtr property.

Parameters:
  `value` - allowed object is `PartyIdentificationSDD2`

#### getCdtrAcct

    public CashAccountSDD1 getCdtrAcct()

Gets the value of the cdtrAcct property.

Returns:
  possible object is `CashAccountSDD1`

#### setCdtrAcct

    public void setCdtrAcct​(CashAccountSDD1 value)

Sets the value of the cdtrAcct property.

Parameters:
  `value` - allowed object is `CashAccountSDD1`

#### getCdtrAgt

    public BranchAndFinancialInstitutionIdentificationSDD1 getCdtrAgt()

Gets the value of the cdtrAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentificationSDD1`

#### setCdtrAgt

    public void setCdtrAgt​(BranchAndFinancialInstitutionIdentificationSDD1 value)

Sets the value of the cdtrAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentificationSDD1`

#### getUltmtCdtr

    public PartyIdentificationSDD1 getUltmtCdtr()

Gets the value of the ultmtCdtr property.

Returns:
  possible object is `PartyIdentificationSDD1`

#### setUltmtCdtr

    public void setUltmtCdtr​(PartyIdentificationSDD1 value)

Sets the value of the ultmtCdtr property.

Parameters:
  `value` - allowed object is `PartyIdentificationSDD1`

#### getChrgBr

    public ChargeBearerTypeSDDCode getChrgBr()

Gets the value of the chrgBr property.

Returns:
  possible object is `ChargeBearerTypeSDDCode`

#### setChrgBr

    public void setChrgBr​(ChargeBearerTypeSDDCode value)

Sets the value of the chrgBr property.

Parameters:
  `value` - allowed object is `ChargeBearerTypeSDDCode`

#### getDrctDbtTxInf

    public java.util.List<DirectDebitTransactionInformationSDD> getDrctDbtTxInf()

Gets the value of the drctDbtTxInf property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the drctDbtTxInf property.

For example, to add a new item, do as follows:

        getDrctDbtTxInf().add(newItem);

Objects of the following type(s) are allowed in the list `DirectDebitTransactionInformationSDD`